# /api/schedule/create

Creación de un Trigger

* Endpoint: /api/schedule/create
* Método: POST;
* Autorización: obligatoria;
* Parámetros:

Name: Nombre del nuevo Trigger;

Description: Descripción para el nuevo Trigger;

Status: Estado para el nuevo Trigger;

CronTab: Expresión Cron para el nuevo Trigger. Solo para ProcessingType = 2;

RobotType: Tipo de Robots (0 - un Robot, 1 - grupo de Robots);

RobotId: ID del Robot para ejecutar. Solo para RobotType = 2;

RobotGroupId: ID del Grupo de Robots para ejecutar. Solo para RobotType = 1;

ProcessingType (obligatorio): Tipo de procesamiento para el nuevo Trigger (1 - continuo, 2 - programado);

StartAt: Fecha de inicio del nuevo Trigger;

EndAt: Fecha de finalización del nuevo Trigger;

MaxRuns: Máx. cantidad de ejecuciones para el nuevo Trigger;

MaxRunningRobots: Cantidad máxima de Robots trabajando simultáneamente. Solo para RobotType = 1;

CheckMissedTrigger: Activación del mecanismo de verificación de Triggers perdidos para el nuevo Trigger (1 - activar, 0 - desactivar);

ProcessId (obligatorio): ID del Proceso para ejecutar.

* Ejemplo:

| Solicitud                                                                                                      | Respuesta                                                         |
| -------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------- |
| `json</p><p> {</p><p> "Name": "New Trigger",</p><p> "Process": 5,</p><p> "ProcessingType": 1,</p><p> }</p><p>` | <p>\[</p><p>"guid": "554ab883-1f82-48e1-bb12-5049002e7d70", ]</p> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sherparpa.ru/es/sherpa-rpa/sherpa-orchestrator/api/trigger/api-schedule-create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
